summaryrefslogtreecommitdiffstats
path: root/system/partitionmanager
diff options
context:
space:
mode:
author ArTourter <artourter@gmail.com>2010-05-13 01:01:01 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 01:01:01 +0200
commit5f1f9ed0d2edad093b3afe4e5d1a69e6a3675674 (patch)
tree542be239f9baf6885ff5ccc8a0ef0d1a6d6fb38e /system/partitionmanager
parent0d425002fdee144b07aee19c25ff6f6c74317a50 (diff)
downloadslackbuilds-5f1f9ed0d2edad093b3afe4e5d1a69e6a3675674.tar.gz
slackbuilds-5f1f9ed0d2edad093b3afe4e5d1a69e6a3675674.tar.xz
system/partitionmanager: Added to 13.0 repository
Diffstat (limited to 'system/partitionmanager')
-rw-r--r--system/partitionmanager/README4
-rw-r--r--system/partitionmanager/doinst.sh10
-rw-r--r--system/partitionmanager/partitionmanager.SlackBuild79
-rw-r--r--system/partitionmanager/partitionmanager.info10
-rw-r--r--system/partitionmanager/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/system/partitionmanager/README b/system/partitionmanager/README
new file mode 100644
index 0000000000..55b17e4ab9
--- /dev/null
+++ b/system/partitionmanager/README
@@ -0,0 +1,4 @@
+partitionmanager (KDE Partition manager)
+
+Easily manage disks, partitions and file systems on your KDE Desktop:
+Create, resize, move, copy, back up, restore or delete partitions.
diff --git a/system/partitionmanager/doinst.sh b/system/partitionmanager/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/system/partitionmanager/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/partitionmanager/partitionmanager.SlackBuild b/system/partitionmanager/partitionmanager.SlackBuild
new file mode 100644
index 0000000000..03b8f704ae
--- /dev/null
+++ b/system/partitionmanager/partitionmanager.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+# vim: et ts=2 sw=2
+
+# Slackware build script for partitionmanager
+
+# Written by ArTourter <artourter@gmail.com>
+
+PRGNAM=partitionmanager
+VERSION=${VERSION:-1.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DPARTMAN_KCM=ON \
+ -DPARTMAN_KPART=ON \
+ ..
+
+make
+make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/partitionmanager/partitionmanager.info b/system/partitionmanager/partitionmanager.info
new file mode 100644
index 0000000000..4befdeaecf
--- /dev/null
+++ b/system/partitionmanager/partitionmanager.info
@@ -0,0 +1,10 @@
+PRGNAM="partitionmanager"
+VERSION="1.0.1"
+HOMEPAGE="http://partitionman.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/partitionman/partitionmanager/1.0.1/partitionmanager-1.0.1.tar.bz2"
+MD5SUM="a12531b7fa03b9267706fe6b7dd586fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
+APPROVED="michiel"
diff --git a/system/partitionmanager/slack-desc b/system/partitionmanager/slack-desc
new file mode 100644
index 0000000000..1063d0aa20
--- /dev/null
+++ b/system/partitionmanager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+partitionmanager: partitionmanager (KDE Partition Manager)
+partitionmanager:
+partitionmanager: Easily manage disks, partitions and file systems on your KDE Desktop:
+partitionmanager: Create, resize, move, copy, back up, restore or delete partitions.
+partitionmanager:
+partitionmanager:
+partitionmanager:
+partitionmanager:
+partitionmanager:
+partitionmanager:
+partitionmanager: